# $Revision: 1.21 $, $Date: 2006/12/18 17:51:17 $
# TODO: Consider renaming to QScintilla1 ?
%define	scintilla_ver	1.71
Summary:	QScintilla - a port of Neil Hodgson's Scintilla C++ editor class to Qt
Summary(pl):	QScintilla - port do Qt klas C++ edytora Scintilla autorstwa Neila Hodgsona
Name:		qscintilla
Version:	1.7.1
Release:	1
Epoch:		1
License:	GPL v2
Group:		X11/Libraries
Source0:	http://www.riverbankcomputing.com/Downloads/QScintilla1/QScintilla-%{scintilla_ver}-gpl-%{version}.tar.gz
# Source0-md5:	dfa047b45d4f09ae8d4a8a431ba88a5a
URL:		http://www.riverbankcomputing.co.uk/qscintilla/index.php
BuildRequires:	qmake
BuildRequires:	qt-devel
BuildRequires:	scintilla-devel >= %{scintilla_ver}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
QScintilla is a port to Qt of Neil Hodgson's Scintilla C++ editor class.

%description -l pl
QScintilla jest portem do Qt klas C++ edytora Scintilla autorstwa
Neila Hodgsona.

%package devel
Summary:	Development files for the QScintilla
Summary(pl):	Pliki nagwkowe dla QScintilla
Group:		X11/Development/Libraries
Requires:	%{name} = %{epoch}:%{version}-%{release}
Requires:	qt-devel

%description devel
This package contains the header files necessary to develop
applications using QScintilla - header files.

%description devel -l pl
Pakiet tem zawiera pliki nagwkowe potrzebne do tworzenia i
kompilacji aplikacji korzystajcych z biblioteki QScintilla.

%prep
%setup -q -n QScintilla-%{scintilla_ver}-gpl-%{version}

%build
QTDIR=%{_prefix}
export QTDIR
cd qt
qmake -o Makefile -after DESTDIR=tmp qscintilla.pro
#Potrzebna latka usuwajaca/przenoszaca z Makefile -  all: to co powinno znalezc sie w install:
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_includedir}/qt \
	$RPM_BUILD_ROOT%{_examplesdir}/qt/%{name} \
	$RPM_BUILD_ROOT%{_libdir}/qt \
	$RPM_BUILD_ROOT%{_datadir}/locale/{de,fr,pt_BR,ru}/LC_MESSAGES

cp -df qt/tmp/libqscintilla.so* $RPM_BUILD_ROOT%{_libdir}
install qt/qextscintilla*.h $RPM_BUILD_ROOT%{_includedir}/qt

# where should it be placed to be used?
# README says $QTDIR/translations, but it doesn't exist
install qt/qscintilla_de.qm $RPM_BUILD_ROOT%{_datadir}/locale/de/LC_MESSAGES/qscintilla.qm
install qt/qscintilla_fr.qm $RPM_BUILD_ROOT%{_datadir}/locale/fr/LC_MESSAGES/qscintilla.qm
install qt/qscintilla_ru.qm $RPM_BUILD_ROOT%{_datadir}/locale/ru/LC_MESSAGES/qscintilla.qm

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libqscintilla.so.*.*.*
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/qscintilla.qm
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/qscintilla.qm
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/qscintilla.qm

%files devel
%defattr(644,root,root,755)
%doc doc/*
%attr(755,root,root) %{_libdir}/libqscintilla.so
%{_includedir}/qt/*.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: qscintilla.spec,v $
Revision 1.21  2006/12/18 17:51:17  matkor
- Version 1.7.1-1.

Revision 1.20  2006/11/06 12:19:39  matkor
- Version 1.7-1.

Revision 1.19  2006/02/28 23:53:22  glen
- adapterized (killed trailing spaces/tabs)

Revision 1.18  2005/09/19 14:44:39  charles
- updated to 1.6 / 1.65
- new lang pt_BR

Revision 1.17  2005/03/10 10:11:44  charles
- BR: qmake

Revision 1.16  2005/03/06 23:43:35  charles
- updated to 1.5.1

Revision 1.15  2005/02/20 18:27:40  charles
- updated to 1.5

Revision 1.14  2004/11/20 15:28:19  qboosh
- standard BuildRoot, dropped Source0-size

Revision 1.13  2004/10/12 13:28:11  matkor
- Version 1.4/1.61.

Revision 1.12  2004/07/28 17:27:52  qboosh
- fixed doc perms in devel; release 3

Revision 1.11  2004/07/28 08:03:18  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.10  2004/02/18 20:44:57  djurban
- fixed translations install
- rel. 2
- to disable installation on make when using qmake just remove the DESTDIR
  line from qt/qscintilla.pro

Revision 1.9  2003/10/07 14:18:11  qboosh
- fixed lib files, moved devel docs to -devel
- .qm is not example, but where to place it?

Revision 1.8  2003/08/18 08:09:31  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/08/17 22:43:31  luzik
 - fixed versioning stupid mistake
 - updated to 1.2
 - epoch 1

Revision 1.6  2003/08/12 22:32:52  ankry
- cosmetics

Revision 1.5  2003/08/09 13:20:35  luzik
 - libqscintilla moved from /usr/lib/qt to /usr/lib
 - release 2

Revision 1.4  2003/08/09 10:03:28  luzik
 - updated to 1.53

Revision 1.3  2003/05/25 06:26:07  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/02/26 12:47:41  qboosh
- some cleanups, pl fixes, fixed Source0 URL, added missing Log

Revision 1.1  2003/02/25 22:42:50  misiek
- initial pld release (spec by Maciej winiarski (luzik) <luzik@ds.pg.gda.pl>)
